'use strict';

(function () {

  // import Objects
  var ContactService = exports.contactService,

  // code
  step4 = document.getElementById('step4'),
  step1 = document.getElementById('step1'),
  confirm = step4.querySelector('#undo-confirm'),
  cancel = step4.querySelector('#undo-cancel');

  confirm.addEventListener('click', function (e) {
    e.preventDefault();
    Animation.currentToLeft(step4, step4, step4.nextElementSibling);
    ContactService.revert();
  });

  cancel.addEventListener('click', function (e) {
    Animation.currentToRight(step4, step4, step1);
  });
}());
